# pokemon-game [![Build Status](https://travis-ci.org/bukinoshita/pokemon-game.svg?branch=master)](https://travis-ci.org/bukinoshita/pokemon-game)

## Notices

- The objective of the game is to capture all Pokémons.
- Each week trainers will earn items based on their ranking. (pokeballs, money, etc) — if you need more money to play, tweet to [@bukinoshita](https://twitter.com/bukinoshita) and I put some money for you. (beta)
- The game is in **Beta**. If you find an issue or have any suggestions or ideas, please report it [here](https://github.com/bukinoshita/pokemon-game/issues).

## Install

```bash
$ npm install --global pokemon-game
```

## Usage

```bash
$ pokemon --help

  Usage:
    $ pokemon catch           Search a wild Pokémon to capture
    $ pokemon login           Login to Pokémon Game
    $ pokemon professor       Talk to Professor Oak
    $ pokemon pokedex         Show your pokemons
    $ pokemon rankings        See Rankings of best trainers
    $ pokemon bag             Show your bag
    $ pokemon shop            Buy items to put in your bag
    $ pokemon battle          Let's battle
    $ pokemon whoami          Show your information

  Options:
    -h, --help                Show help options
    -v, --version             Show version

```

## How it works

<img src="https://cldup.com/w21W_BhwnW.png"/>
<img src="https://cldup.com/Pl_AH1dzcd.png"/>
<img src="https://cldup.com/J4JVgKU4Op.png"/>
<img src="https://cldup.com/zsqqkijIkf.png"/>

## Related

- [catch-pokemon](https://github.com/bukinoshita/catch-pokemon) — Algorithm to catch a pokemon
- [pokedex-api](https://github.com/bukinoshita/pokedex-api) — Pokedex API
- [pokemon-catch-probability](https://github.com/bukinoshita/pokemon-catch-probability) — Check probabilty to catch a pokemon
- [get-pokeball](https://github.com/bukinoshita/get-pokeball) — Get pokeball information
- [pokeball-shake](https://github.com/bukinoshita/pokeball-shake) — Algorithm to determine how many times pokeball shakes
- [pokemon-capture-quote](https://github.com/bukinoshita/pokemon-capture-quote) — Pokemon capture quote
- [pokemon-f](https://github.com/bukinoshita/pokemon-f) — Algorithm to calculate `f` on capture pokemon method
- [pokemon-escape](https://github.com/bukinoshita/pokemon-escape) — Check if Pokemon flee from battle
- [pokemon-player-escape](https://github.com/bukinoshita/pokemon-player-escape) — Check if player escape from battle with wild Pokemon and get probability of escaping


## License

MIT © [Bu Kinoshita](https://bukinoshita.io)

_This game was created as an experiment / learning purpose just for fun. This project is not related to The Pokémon or Nintendo. Some data was collected from [Bulbapedia](https://bulbapedia.bulbagarden.net/wiki/Main_Page)._
